高野さん、永井さん、ありがとうございます。conundrumです。


>永井@知能.九工大です.
...
>ライブラリの決め打ちはやはりつらいですね.(^_^;
>[ruby-list:41252] の高野さんの話と,
>[ruby-list:41258] の話とを参考に試していただけますと幸いです.

なるほど関連するスレッドが同時進行中だったんですね。
参考になりました。

>ActiveState の Web ページの Support&Resources
>(http://www.activestate.com/Support_Resources/) の Downloads から
>古いバージョンの ActiveTcl の入手ができるのではないかと思います.
>そこで ActiveTcl-8.3.x を入手して試してみるのもありかもしれませんね.
>ですが,Tcl/Tk 8.3 は今となっては古いものですので,
>できれば Tcl/Tk 8.4 が使えるようにすることをお勧めします.

結局、高野さんのご示唆を受け入れ、ActiveTclのdllファイルの名前を 84 から 83 
に詐称する
ことで、require 'tk' は OK になりました。
その際、TCL_LIBRARY, TK_LIBRARY という環境変数は一切関係なく、
単に目的のDLLにパスが通っているかどうかが肝心でした。
・・・あの環境変数の情報は、いったいなんだったんだろう???

いずれにしても、ようやく第一歩を踏み出すことができました。
ただ、WinCVSとのdllの競合問題が発生する可能性があるので、ちょっと憂鬱だった
りします。

諸兄に心から感謝です。

conundrum / hotmail.co.jp

_________________________________________________________________
ウィルス駆除も無料の 「MSN Hotmail」  http://www.hotmail.com/